Bug 1069398

Summary: catfish: insecure loading of python script [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: catfishAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 20CC: masahase, mtasaka, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: catfish-1.0.1-1.fc20 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-19 08:46:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1069396    

Description Vincent Danen 2014-02-24 22:49:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-02-24 22:49:13 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1069396,1069398

Comment 2 Mamoru TASAKA 2014-03-03 21:50:36 UTC
Setting needinfo also here per bug 1069396 comment 6, bug 1069396 comment 8

Comment 3 Vincent Danen 2014-03-03 23:24:09 UTC
Please see the parent CVE bug.

Comment 4 Mamoru TASAKA 2014-03-04 05:57:56 UTC
I again wrote a question.

Comment 5 Fedora Update System 2014-03-05 06:32:28 UTC
catfish-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/catfish-1.0.1-1.fc20

Comment 6 Fedora Update System 2014-03-05 06:32:52 UTC
catfish-0.4.0.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/catfish-0.4.0.2-4.fc19

Comment 7 Fedora Update System 2014-03-06 08:11:05 UTC
Package catfish-0.4.0.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing catfish-0.4.0.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3453/catfish-0.4.0.2-4.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-03-19 08:46:19 UTC
catfish-0.4.0.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-03-19 08:48:53 UTC
catfish-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.